#!/bin/sh
sosVer=`yum versionlock list sos 2> /dev/null | grep sos- | sed 's/\([^:]*:\)sos-\([^\-]*\)\(-.*\)/\2/'`
vdsmNewVer=`yum list available vdsm 2> /dev/null | grep vdsm.x | sed 's/\([^ ]* \)\([^0-9]*\)\(...\)\(.*\)/\3/' | sort -r | head -1`
if [[ -z "$sosVer" ]]; then
  echo "no sos versionlock"
else
  if [[ (! "$sosVer" > "3.6") && (! "$vdsmNewVer" < "4.3") ]]; then
    echo "Removing versionlock on sos for version $sosVer with vdsm $vdsmNewVer present"
    yum versionlock delete sos
  else
    echo "Leaving versionlock on sos for version $sosVer and vdsm $vdsmNewVer"
  fi
fi
